%define __brp_python_bytecompile %{nil}
%define tarball_version %{version}

%define rel     1

Summary:        Python plugin for KDevelop
Name:           kdevelop-python
Version: 5.0.3
Release:        %mkrel %rel
License:        GPLv2+
Group:          Development/Python
Url:            http://www.kdevelop.org
Source0:        http://download.kde.org/stable/kdevelop/%{version}/src/kdev-python-%{tarball_version}.tar.xz
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5NewStuff)
BuildRequires:  cmake(KF5ItemModels)
BuildRequires:  cmake(KF5ThreadWeaver)
BuildRequires:  cmake(KF5TextEditor)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5Parts)
BuildRequires:  kdevplatform-devel >= %{version}
BuildRequires:  kdevelop-devel >= %{version}
BuildRequires:  kdevelop-pg-qt-devel
BuildRequires:  pkgconfig(python3) >= 3.5

Requires:       kdevelop >= %{version}
Obsoletes:      kdevelop4-python < 4.90.90

%description
Python plugin for KDevelop.

%files -f kdevpython.lang
%{_kf5_datadir}/kdevpythonsupport
%{_kf5_datadir}/kdevappwizard
%{_kf5_libdir}/libkdevpython*.so
%{_qt5_plugindir}/kdevplatform/25/*.so

#--------------------------------------------------------------------

%prep
%setup -qn kdev-python-%{tarball_version}

%build
%cmake_kf5
%make_build

%install
%make_install -C build

%find_lang kdevpython


%changelog
* Sat Dec 31 2016 neoclust <neoclust> 5.0.3-1.mga6
+ Revision: 1078767
- new version 5.0.3

* Thu Sep 22 2016 daviddavid <daviddavid> 5.0.1-1.mga6
+ Revision: 1055137
- new version: 5.0.1

* Fri Aug 26 2016 daviddavid <daviddavid> 5.0.0-1.mga6
+ Revision: 1048978
- new version: 5.0.0 final

* Thu Jan 28 2016 fwang <fwang> 4.90.91-1.mga6
+ Revision: 928317
- 4.90.91

* Thu Oct 29 2015 fwang <fwang> 4.90.90-1.mga6
+ Revision: 896428
- disable python compile
- compile with py3
- add upstream patch to fix build
- 4.90.90
- rename to kdevelop

* Tue Feb 10 2015 lmenut <lmenut> 1.7.1-1.mga5
+ Revision: 814629
- Update to 1.7.1

* Wed Oct 15 2014 umeabot <umeabot> 1.7.0-4.mga5
+ Revision: 749116
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.7.0-3.mga5
+ Revision: 726617
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.7.0-2.mga5
+ Revision: 681016
- Mageia 5 Mass Rebuild

* Wed Aug 27 2014 fwang <fwang> 1.7.0-1.mga5
+ Revision: 668581
- 1.7.0

* Sat Aug 23 2014 fwang <fwang> 1.6.90-1.mga5
+ Revision: 666754
- 1.6.90

* Tue Dec 17 2013 colin <colin> 1.6.0-1.mga4
+ Revision: 558140
- New version: 1.6.0

* Wed Nov 20 2013 fwang <fwang> 1.5.2-1.mga4
+ Revision: 552018
- update file list
- new version 1.5.2

* Tue Oct 22 2013 umeabot <umeabot> 1.5.1-3.mga4
+ Revision: 546133
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 philippem <philippem> 1.5.1-2.mga4
+ Revision: 502187
- fix python scripts build error

* Fri May 31 2013 fwang <fwang> 1.5.1-1.mga4
+ Revision: 433524
- new version 1.5.1

* Mon May 27 2013 fwang <fwang> 1.4.90-1.mga4
+ Revision: 428542
- new version 1.4.90

* Sat Jan 12 2013 umeabot <umeabot> 1.4.1-2.mga3
+ Revision: 356073
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 25 2012 fwang <fwang> 1.4.1-1.mga3
+ Revision: 321795
- new version 1.4.1

* Fri Nov 23 2012 fwang <fwang> 1.4.0-1.mga3
+ Revision: 321230
- br python
- fix linkage
- fix tarballdir
- new version 1.4.0b

* Fri Oct 26 2012 fwang <fwang> 1.3.80-1.mga3
+ Revision: 310132
- update file list
- imported package kdevelop4-python

